Subject: [Pce] Comments on draft-ali-pce-remote-initiated-gmpls-lsp-00

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 21 Feb 2013 11:44:02 +0000

Hi,

I have the following comments on the draft.
1.      Abstract : you are not  only addressing GMPLS, but also multi-layer
2.      Section 1 "Introduction" : This is good you reference RFC6107, which defined this object for "MPLS and GMPLS", the multilayer extensions are not GMPLS specific, I think this should be either separated or put in an "active stateful PCE" solution (Which could be a merge of your document and draft-crabbe-pce-pce-initiated-lsp)
3.      Section 2 : There is already 2 applicability documents, I think those use case should be integrated there, especially as I find them good.
4.      Section 3 : this lists match the requierement of the draft-ietf-pce-gmpls-aps-req, you could simply refer to it and the solution document.
5.      Section 4 : this is RFC6107 related, this is non-GMPLS specific
6.      Section 5.1 : I should say I disagree : it is not required to have generalized endpoints, RFC5440 ENDPOINTS are sufficient, especially if you want to create an FA. Moreoever draft-crabbe-pce-pce-initiated-lsp already support this object and thus the GENERALIZED-ENDPOINTS OT.
7.      Section 5.1 : I think there is a misunderstanding : the label-request in the endpoint is NOT the one of the LSP to be signaled. This is addressed by the SWITCH_LAYER
8.      Section 5.2 : I think this is the only needed optional object.
9.      Section 5.3 : If no modification is needed, I think it would be better to state it in a section describing the missing information from draft-crabbe-pce-pce-initiated-lsp or any other solution)
10.     Section 5.4 : As the PCEP ERO is an RSVP ERO , this section seems more applicability/framework related.
11.     Section 6 : this is RFC6107 related, this is non-GMPLS specific

I think the document has good material, but address several separated points :
1.      Active Stateful PCE Applicability
2.      MPLS multi-layer aspects
3.      GMPLS (GENERALIZED-BW and SWITCH-LAYER)

I think the second point may have a document on its own, but the first and third point  could be managed by merges.

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks Optical GmbH
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks Optical GmbH
Geschäftsleitung / Board of Directors: Gero Neumeier, Dr. Rolf Nauerz
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143